using System;
using System.Collections;
using Server.Items;
using Server.Targeting;

namespace Server.Mobiles
{
	[CorpseName( "an elemental corpse" )]
	public class MeteorElemental : BaseCreature
	{
		public override double DispelDifficulty{ get{ return 117.5; } }
		public override double DispelFocus{ get{ return 45.0; } }

		[Constructable]
		public MeteorElemental() : base( AIType.AI_Melee, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Name = "a meteor elemental";
			Body = 315;
			BaseSoundID = 268;

			SetStr( 226, 255 );
			SetDex( 166, 185 );
			SetInt( 71, 92 );

			SetHits( 176, 193 );

			SetDamage( 12, 19 );

			SetSkill( SkillName.MagicResist, 70.1, 105.0 );
			SetSkill( SkillName.Tactics, 80.1, 120.0 );
			SetSkill( SkillName.HandToHand, 80.1, 120.0 );

			Fame = 4500;
			Karma = -4500;

			VirtualArmor = 40;
			
			PackItem( new IronOre( Utility.RandomMinMax( 3, 10 ) ) );
			PackItem( new SulfurousAsh( Utility.RandomMinMax( 3, 10 ) ) );

			AddItem( new LighterSource() );
		}

		public override void GenerateLoot()
		{
			AddLoot( LootPack.Rich );
			AddLoot( LootPack.Average );
			AddLoot( LootPack.Gems, 2 );
		}

		public override bool BleedImmune{ get{ return true; } }

		public MeteorElemental( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}